# Grafpix

Grafpix `Flutter` Icon Package, is a growing collection of high ranked icons from multiple authors ready to be used in your flutter projects.

## Getting Started

Icons are one of the most useful ui tools available on the web for mobile applications, and when a collection of great icons is available for you with ease of use, it is even much better.

## Features!
  - Top ranked icons from multiple `authors` to grant you the best UI experience for your mobile application users.
  - A growing collection of icons managed from one single package. 
  - Hassle free, saves your time & efforts.
  - Using one single line of code, you are ready to go.

#### Whats New
  - 1403 Newly added complete icon set from [FontAwsome 5.12](https://fontawesome.com/) as per latest release.

### Included Icon Sets
  - 336 Icons from [Stephen Hutchings](https://www.s-ings.com/).
  - 467 Icons from [CaptainIcon](https://mariodelvalle.github.io/CaptainIconWeb/).
  - 491 Basic/standard clean pix icons.

### Installation
In your `pubspec.yaml` under `dependencies` add the following line:
```yaml
dependencies:
  grafpix: ^1.1.9
```
From your `Terminal`, run the following code:

```sh
  flutter pub get
```

#### Usage
Use the *`PixIcon`* as `IconData`.
```sh
Icon({PixIcon.icon_name})
```

### Example
PixIcon.*home* icon example
```dart
import 'package:grafpix/icons.dart';

class MyApp extends StatelessWidget {
  Widget build(BuildContext context) {
    return IconButton(
      icon: Icon(PixIcon.pix_android, size: 30.0, color:Colors.green[600]), 
      onPressed: () { print('Icon Pressed'); }
     );
  }
}
```

[![GRAFPIX](https://files.fm/thumb_show.php?i=hhma8df9)](http://grafpix.com)
#### Author
> Ahmed Mustafa < ahmed.dev2020@gmail.com >
> if you have suggestions, please feel free to contact me any time.
> your feedback is highly appreciated.

### License
MIT
